<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__timer__ext__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_timer_ext_t</compoundname>
    <includes local="no">wiced_timer.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__timer__ext__t_1a63f4de092b61d6577c111d82cfb34aa0" kind="variable" mutable="no" prot="public" static="no">
        <type>struct _wiced_timer_ext_t *</type>
        <definition>struct _wiced_timer_ext_t* wiced_timer_ext_t::p_next</definition>
        <argsstring />
        <name>p_next</name>
        <briefdescription>
<para>pointer to next timer entry </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="32" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="32" />
      </memberdef>
      <memberdef id="structwiced__timer__ext__t_1a9c58a647309d071059439a7e07a259ff" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__timer_1gafcfb6bcad5801f85b6da1afef4b609f0">wiced_timer_callback_arg_t</ref></type>
        <definition>wiced_timer_callback_arg_t wiced_timer_ext_t::cb_arg</definition>
        <argsstring />
        <name>cb_arg</name>
        <briefdescription>
<para>argument to timer callback </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="34" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="34" />
      </memberdef>
      <memberdef id="structwiced__timer__ext__t_1a60cc41c4565e0fd19a792254f9882d9c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__timer_1ga8b467c478f1eff92e40c368e1fb9e8db">wiced_timer_callback_ext_t</ref> *</type>
        <definition>wiced_timer_callback_ext_t* wiced_timer_ext_t::p_cback</definition>
        <argsstring />
        <name>p_cback</name>
        <briefdescription>
<para>timer callback function address </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="35" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="35" />
      </memberdef>
      <memberdef id="structwiced__timer__ext__t_1aab0b4bb2db0d27c6a7d2d62d5b048ce9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_timer_ext_t::periodic_interval_ms</definition>
        <argsstring />
        <name>periodic_interval_ms</name>
        <briefdescription>
<para>periodic interval in milliseconds </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="37" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="37" />
      </memberdef>
      <memberdef id="structwiced__timer__ext__t_1a51bb07b0395f67c182e0e1993369582b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint64_t</type>
        <definition>uint64_t wiced_timer_ext_t::target_time</definition>
        <argsstring />
        <name>target_time</name>
        <briefdescription>
<para>absolute target time </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="39" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="39" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Timer structure. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="40" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="30" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="31" />
    <listofallmembers>
      <member prot="public" refid="structwiced__timer__ext__t_1a9c58a647309d071059439a7e07a259ff" virt="non-virtual"><scope>wiced_timer_ext_t</scope><name>cb_arg</name></member>
      <member prot="public" refid="structwiced__timer__ext__t_1a60cc41c4565e0fd19a792254f9882d9c" virt="non-virtual"><scope>wiced_timer_ext_t</scope><name>p_cback</name></member>
      <member prot="public" refid="structwiced__timer__ext__t_1a63f4de092b61d6577c111d82cfb34aa0" virt="non-virtual"><scope>wiced_timer_ext_t</scope><name>p_next</name></member>
      <member prot="public" refid="structwiced__timer__ext__t_1aab0b4bb2db0d27c6a7d2d62d5b048ce9" virt="non-virtual"><scope>wiced_timer_ext_t</scope><name>periodic_interval_ms</name></member>
      <member prot="public" refid="structwiced__timer__ext__t_1a51bb07b0395f67c182e0e1993369582b" virt="non-virtual"><scope>wiced_timer_ext_t</scope><name>target_time</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>